ros-humble-tf2-geometry-msgs (0.25.7-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 28 May 2024 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.6-1jammy) jammy; urgency=high

  * When finding Python3, use python3 executable as a hint (#650 <https://github.com/ros2/geometry2/issues/650>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 15 Feb 2024 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.5-1jammy) jammy; urgency=high

  * add torque due to force offset (#538 <https://github.com/ros2/geometry2/issues/538>) (#633 <https://github.com/ros2/geometry2/issues/633>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 12 Nov 2023 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.4-1jammy) jammy; urgency=high

  * Fixed Windows warnings (#623 <https://github.com/ros2/geometry2/issues/623>)
  * Add doTransform support for Point32, Polygon and PolygonStamped (#616 <https://github.com/ros2/geometry2/issues/616>)
  * Contributors: Alejandro Hernández Cordero, Guillaume Doisy

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Sep 2023 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.3-1jammy) jammy; urgency=high

  * Add do_transform_polygon_stamped (#582 <https://github.com/ros2/geometry2/issues/582>) (#590 <https://github.com/ros2/geometry2/issues/590>)
  * Contributors: mergify[bot]

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 16 Jul 2023 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 09 Jan 2023 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.1-1jammy) jammy; urgency=high

  * Use orocos_kdl_vendor and orocos-kdl target (#548 <https://github.com/ros2/geometry2/issues/548>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Aug 2022 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.25.0-1jammy) jammy; urgency=high

  * Make sure to find the right Python executable. (#514 <https://github.com/ros2/geometry2/issues/514>)
  * Depend on orocos_kdl_vendor  (#473 <https://github.com/ros2/geometry2/issues/473>)
  * Install includes to include/${PROJECT_NAME} and use modern CMake (#493 <https://github.com/ros2/geometry2/issues/493>)
  * Contributors: Chris Lalancette, Jacob Perron, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 04 Apr 2022 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.24.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 30 Mar 2022 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.23.0-1jammy) jammy; urgency=high

  * Drop PyKDL dependency in tf2_geometry_msgs (#509 <https://github.com/ros2/geometry2/issues/509>)
  * Contributors: Florian Vahl

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 27 Mar 2022 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.22.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.21.0-1jammy) jammy; urgency=high

  * Fix cpplint errors (#497 <https://github.com/ros2/geometry2/issues/497>)
  * Export a tf2_geometry_msgs::tf2_geometry_msgs target (#496 <https://github.com/ros2/geometry2/issues/496>)
  * Feature: Add doTransform for Wrench messages (#476 <https://github.com/ros2/geometry2/issues/476>)
  * Contributors: Denis Štogl, Jacob Perron, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.20.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.19.0-1jammy) jammy; urgency=high

  * Remove some references to the ROS 1 wiki.
  * Style fixes in tf2_geometry_msgs. (#464 <https://github.com/ros2/geometry2/issues/464>)
  * Fix for issue #431 <https://github.com/ros2/geometry2/issues/431> - Covariance is not transformed in do_transform_pose_with_covariance_stamped (#453 <https://github.com/ros2/geometry2/issues/453>)
  * doTransform non stamped msgs (#452 <https://github.com/ros2/geometry2/issues/452>)
  * tf2_geometry_msgs: Fixing covariance transformation in doTransform<PoseWithCovarianceStamped, TransformStamped> (#430 <https://github.com/ros2/geometry2/issues/430>)
  * Contributors: Abrar Rahman Protyasha, Chris Lalancette, Khasreto, vineet131

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 14 Oct 2021 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.18.0-1jammy) jammy; urgency=high

  * Geometry nitpicks (#426 <https://github.com/ros2/geometry2/issues/426>)
  * Conversion tests for toMsg() (#423 <https://github.com/ros2/geometry2/issues/423>)
  * Deprecate tf2_geometry_msgs.h (#418 <https://github.com/ros2/geometry2/issues/418>)
  * Contributors: Bjar Ne, Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 31 May 2021 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.17.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.17.0-1jammy) jammy; urgency=high

  * Fix doTransform with Eigen Quaternion (#369 <https://github.com/ros2/geometry2/issues/369>)
  * Contributors: Bjar Ne

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.16.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.15.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 01 Nov 2020 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.14.1-1jammy) jammy; urgency=high

  * Activate usual compiler warnings and fix errors (#270 <https://github.com/ros2/geometry2/issues/270>)
  * Add PoseWithCovarianceStamped transform support (#312 <https://github.com/ros2/geometry2/issues/312>)
  * Contributors: Ivan Santiago Paunovic, Joshua Whitley

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 20 Sep 2020 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.14.0-1jammy) jammy; urgency=high

  * Don't install python tf2_geometry_msgs (#299 <https://github.com/ros2/geometry2/issues/299>)
    It hasn't been ported yet.
    Closes https://github.com/ros2/geometry2/issues/285
  * Split tf2_ros in tf2_ros and tf2_ros_py (#210 <https://github.com/ros2/geometry2/issues/210>)
    * Split tf2_ros in tf2_ros and tf2_ros_py
  * Contributors: Alejandro Hernández Cordero, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Aug 2020 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.13.4-1jammy) jammy; urgency=high

  * export targets in addition to include directories / libraries (#271 <https://github.com/ros2/geometry2/issues/271>)
  * Contributors: Dirk Thomas

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.13.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 May 2020 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.13.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 May 2020 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.13.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 07 May 2020 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.13.0-1jammy) jammy; urgency=high

  * Added doxyfiles and sphinx Makefiles (#257 <https://github.com/ros2/geometry2/issues/257>)
  * add missing test dependency (#256 <https://github.com/ros2/geometry2/issues/256>)
  * use target_include_directories (#231 <https://github.com/ros2/geometry2/issues/231>)
  * installed python tf2_geometry_msgs (#207 <https://github.com/ros2/geometry2/issues/207>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Karsten Knese

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 29 Apr 2020 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.12.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 18 Nov 2019 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.12.3-1jammy) jammy; urgency=high

  * Remove unused setup.py files (#190 <https://github.com/ros2/geometry2/issues/190>)
  * Contributors: Vasilii Artemev

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 Nov 2019 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.12.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 17 Nov 2019 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.12.1-1jammy) jammy; urgency=high

  * Remove template specialization for toMsg functions (#179 <https://github.com/ros2/geometry2/issues/179>)
  * Use smart pointers for global buffer variables in tests
  * Don't assume quaternions init to all zeros
  * Contributors: Jacob Perron, Josh Langsfeld

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 22 Oct 2019 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.12.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 25 Sep 2019 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.11.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 23 May 2019 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.11.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 19 May 2019 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.11.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 08 May 2019 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.11.0-1jammy) jammy; urgency=high

  * Updated to use ament_target_dependencies where possible. (#98 <https://github.com/ros2/geometry2/issues/98>)

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 13 Apr 2019 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.10.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 05 Dec 2018 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.10.0-1jammy) jammy; urgency=high

  * Use ros2 time (#67 <https://github.com/ros2/geometry2/issues/67>)
    * Buffer constructor accepts a clock
    * Use rclcpp::Time::seconds()
  * revert now unnecessary message initializations (#64 <https://github.com/ros2/geometry2/issues/64>)
  * Contributors: Mikael Arguedas, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 21 Nov 2018 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.15-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 23 Jan 2017 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.14-1jammy) jammy; urgency=high

  * Add doxygen documentation for tf2_geometry_msgs
  * Contributors: Jackie Kay

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 15 Jan 2017 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.13-1jammy) jammy; urgency=high

  * Add missing python_orocos_kdl dependency
  * make example into unit test
  * vector3 not affected by translation
  * Contributors: Daniel Claes, chapulina

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 03 Mar 2016 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.12-1jammy) jammy; urgency=high

  * Merge pull request #112 <https://github.com/ros/geometry_experimental/issues/112> from vrabaud/getYaw
    Get yaw
  * add toMsg and fromMsg for QuaternionStamped
  * Contributors: Tully Foote, Vincent Rabaud

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 04 Aug 2015 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.11-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 21 Apr 2015 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.10-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 20 Apr 2015 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.9-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 24 Mar 2015 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.8-1jammy) jammy; urgency=high

  * remove useless Makefile files
  * tf2 optimizations
  * add conversions of type between tf2 and geometry_msgs
  * fix ODR violations
  * Contributors: Vincent Rabaud

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.7-1jammy) jammy; urgency=high

  * fixing transitive dependency for kdl. Fixes #53 <https://github.com/ros/geometry_experimental/issues/53>
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 22 Dec 2014 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.6-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 Sep 2014 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.5-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 22 Jun 2014 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.4-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 May 2014 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 20 Feb 2014 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 19 Feb 2014 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Feb 2014 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.5.0-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Feb 2014 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.4.10-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 25 Dec 2013 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.4.9-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Nov 2013 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.4.8-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 05 Nov 2013 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.4.7-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 27 Aug 2013 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.4.6-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 27 Aug 2013 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.4.5-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 10 Jul 2013 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.4.4-1jammy) jammy; urgency=high

  * making repo use CATKIN_ENABLE_TESTING correctly and switching rostest to be a test_depend with that change.

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 08 Jul 2013 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.4.3-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Jul 2013 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.4.2-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Jul 2013 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.4.1-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 04 Jul 2013 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.4.0-1jammy) jammy; urgency=high

  * moving convert methods back into tf2 because it does not have any ros dependencies beyond ros::Time which is already a dependency of tf2
  * Cleaning up unnecessary dependency on roscpp
  * converting contents of tf2_ros to be properly namespaced in the tf2_ros namespace
  * Cleaning up packaging of tf2 including:
    removing unused nodehandle
    cleaning up a few dependencies and linking
    removing old backup of package.xml
    making diff minimally different from tf version of library
  * Restoring test packages and bullet packages.
    reverting 3570e8c42f9b394ecbfd9db076b920b41300ad55 to get back more of the packages previously implemented
    reverting 04cf29d1b58c660fdc999ab83563a5d4b76ab331 to fix #7 <https://github.com/ros/geometry_experimental/issues/7>

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 26 Jun 2013 22:00:00 -0000

ros-humble-tf2-geometry-msgs (0.3.6-1jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 02 Mar 2013 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.3.5-1jammy) jammy; urgency=high

  * 0.3.4 -> 0.3.5

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Feb 2013 13:46:00 -0000

ros-humble-tf2-geometry-msgs (0.3.4-1jammy) jammy; urgency=high

  * 0.3.3 -> 0.3.4

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Feb 2013 12:14:00 -0000

ros-humble-tf2-geometry-msgs (0.3.3-1jammy) jammy; urgency=high

  * 0.3.2 -> 0.3.3

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 15 Feb 2013 10:30:00 -0000

ros-humble-tf2-geometry-msgs (0.3.2-1jammy) jammy; urgency=high

  * 0.3.1 -> 0.3.2

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 14 Feb 2013 23:42:00 -0000

ros-humble-tf2-geometry-msgs (0.3.1-1jammy) jammy; urgency=high

  * 0.3.0 -> 0.3.1

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 13 Feb 2013 23:00:00 -0000

ros-humble-tf2-geometry-msgs (0.3.0-1jammy) jammy; urgency=high

  * switching to version 0.3.0
  * add setup.py
  * added setup.py etc to tf2_geometry_msgs
  * adding tf2 dependency to tf2_geometry_msgs
  * adding tf2_geometry_msgs to groovy-devel (unit tests disabled)
  * fixing groovy-devel
  * removing bullet and kdl related packages
  * disabling tf2_geometry_msgs due to missing kdl dependency
  * catkinizing geometry-experimental
  * catkinizing tf2_geometry_msgs
  * add twist, wrench and pose conversion to kdl, fix message to message conversion by adding specific conversion functions
  * merge tf2_cpp and tf2_py into tf2_ros
  * Got transform with types working in python
  * A working first version of transforming and converting between different types
  * Moving from camelCase to undescores to be in line with python style guides
  * Fixing tests now that Buffer creates a NodeHandle
  * add posestamped
  * import vector3stamped
  * add support for Vector3Stamped and PoseStamped
  * add support for PointStamped geometry_msgs
  * add regression tests for geometry_msgs point, vector and pose
  * Fixing missing export, compiling version of buffer_client test
  * add bullet transforms, and create tests for bullet and kdl
  * working transformations of messages
  * add support for PoseStamped message
  * test for pointstamped
  * add PointStamped message transform methods
  * transform for vector3stamped message

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 12 Feb 2013 23:00:00 -0000


